Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jasper.runtime
Class JspApplicationContextImpl

    java.lang.Object
      org.apache.jasper.runtime.JspApplicationContextImpl

All Implemented Interfaces:
  JspApplicationContext

    public class JspApplicationContextImpl

extends Object
implements JspApplicationContext

Constructor Summary
`JspApplicationContextImpl(ServletContext context)`

Method Summary
`void` | `addELContextListener(ELContextListener listener)` Registers a `ELContextListener`s so that context objects can be added whenever a new `ELContext` is created.
`void` | `addELResolver(ELResolver resolver)` Adds an `ELResolver` to affect the way EL variables and properties are resolved for EL expressions appearing in JSP pages and tag files.
`protected ELContext` | `createELContext(ELResolver resolver)`
`protected static JspApplicationContextImpl` | `findJspApplicationContext(ServletContext context)`
`protected Iterator<ELResolver>` | `getELResolvers()`
`ExpressionFactory` | `getExpressionFactory()` Returns a factory used to create `ValueExpression`s and `MethodExpression`s so that EL expressions can be parsed and evaluated.
`static void` | `removeJspApplicationContext(ServletContext context)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JspApplicationContextImpl

    public JspApplicationContextImpl(ServletContext context)

Method Detail

### addELResolver

    public void addELResolver(ELResolver resolver)

  Description copied from interface: `JspApplicationContext`
  Adds an `ELResolver` to affect the way EL variables and properties are resolved for EL expressions appearing in JSP pages and tag files.

  For example, in the EL expression ${employee.lastName}, an `ELResolver` determines what object "employee" references and how to find its "lastName" property.

  When evaluating an expression, the JSP container will consult a set of standard resolvers as well as any resolvers registered via this method. The set of resolvers are consulted in the following order:

  - `ImplicitObjectELResolver`
  - `ELResolver`s registered via this method, in the order in which they are registered.
  - `MapELResolver`
  - `ListELResolver`
  - `ArrayELResolver`
  - `BeanELResolver`
  - `ScopedAttributeELResolver`

  It is illegal to register an `ELResolver` after the application has received any request from the client. If an attempt is made to register an `ELResolver` after that time, an `IllegalStateException` is thrown.

  This restriction is in place to allow the JSP container to optimize for the common case where no additional `ELResolver`s are in the chain, aside from the standard ones. It is permissible to add `ELResolver`s before or after initialization to a `CompositeELResolver` that is already in the chain.

  It is not possible to remove an `ELResolver` registered with this method, once it has been registered.

  Specified by:
    `addELResolver` in interface `JspApplicationContext`
  Parameters:
    `resolver` - The new `ELResolver`

### getExpressionFactory

    public ExpressionFactory getExpressionFactory()

  Description copied from interface: `JspApplicationContext`
  Returns a factory used to create `ValueExpression`s and `MethodExpression`s so that EL expressions can be parsed and evaluated.

  Specified by:
    `getExpressionFactory` in interface `JspApplicationContext`
  Returns:
    A concrete implementation of the an `ExpressionFactory`.

### addELContextListener

    public void addELContextListener(ELContextListener listener)

  Description copied from interface: `JspApplicationContext`
  Registers a `ELContextListener`s so that context objects can be added whenever a new `ELContext` is created.

  At a minimum, the `ELContext` objects created will contain a reference to the `JspContext` for this request, which is added by the JSP container. This is sufficient for all the default `ELResolver`s listed in `JspApplicationContext.addELResolver(javax.el.ELResolver)`. Note that `JspContext.class` is used as the key to ELContext.putContext() for the `JspContext` object reference.

  This method is generally used by frameworks and applications that register their own `ELResolver` that needs context other than `JspContext`. The listener will typically add the necessary context to the `ELContext` provided in the event object. Registering a listener that adds context allows the `ELResolver`s in the stack to access the context they need when they do a resolution.

  Specified by:
    `addELContextListener` in interface `JspApplicationContext`
  Parameters:
    `listener` - The listener to be notified when a new `ELContext` is created.

### createELContext

    protected ELContext createELContext(ELResolver resolver)

### findJspApplicationContext

    protected static JspApplicationContextImpl findJspApplicationContext(ServletContext context)

### removeJspApplicationContext

    public static void removeJspApplicationContext(ServletContext context)

### getELResolvers

    protected Iterator<ELResolver> getELResolvers()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.